package com.supervision.dto;

import com.supervision.domain.SysUser;
import lombok.Data;

import java.util.List;

@Data
public class UserDTO {

    private String id;

    /**
     * 用户名
     */
    private String userName;


    private String password;


    /**
     * 状态 0:禁用 1:启用
     */
    private String status;

    private String nickName;

    private String headPicId;

    public SysUser toUser(){
        SysUser user = new SysUser();
        user.setId(this.id);
        user.setUserName(this.userName);
        user.setStatus(this.status);
        user.setNickName(this.nickName);
        user.setHeadPicId(this.headPicId);
        return user;
    }
}
