package com.supervision.service.danmaku;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.domain.LivetalkingChatDTO;
import com.supervision.dto.DigitalHumanDTO;
import com.supervision.dto.DigitalHumanVoiceDTO;

public interface DigitalHumanManageService {

    /**
     * 分页查询数字人信息
     * @param page 页码
     * @param pageSize 每页大小
     * @return
     */
    IPage<DigitalHumanDTO> pageList(Integer page, Integer pageSize);


    void setVoice(DigitalHumanVoiceDTO digitalHumanVoiceDTO);

    void chatCallBack(LivetalkingChatDTO digitalHumanVoiceDTO);

}
